textures/treasureisland_v2_shaders/tisky
{
	qer_editorimage textures/treasureisland_v2_shaders/tisky.tga

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight
	surfaceparm nomarks

	nopicmip
	nomipmaps

	skyparms env/treasureisland_v2/tisky - -
	q3map_sunExt 1 0.9 0.84 360 54 45 3 16
}

textures/treasureisland_v2_shaders/water
{
	qer_editorimage textures/treasureisland_v2_shaders/water.tga
	qer_trans 0.5

	surfaceparm water
	surfaceparm trans
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodlight
}

textures/treasureisland_v2_shaders/water_outside
{
	qer_editorimage textures/treasureisland_v2_shaders/water_outside.tga
	qer_trans 0.5

	surfaceparm water
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodlight

	{
		map textures/treasureisland_v2_misc/water_timod.tga
		tcMod scroll 0.06 0.06
		tcmod scale 1.2 0.7
		blendfunc blend
	}

	dp_water 0.1 0.8 5 5 0.9 0.85 0.85 1 1 1 0.125
}

textures/treasureisland_v2_shaders/water_below
{
	qer_editorimage textures/treasureisland_v2_shaders/water_below.tga
	qer_trans 0.5

	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodlight

	{
		map textures/treasureisland_v2_misc/water_timod.tga
		tcMod scroll 0.06 0.06
		tcmod scale 1.2 0.7
		blendfunc blend
	}
}

textures/treasureisland_v2_shaders/water_inside
{
	qer_editorimage textures/treasureisland_v2_shaders/water_inside.tga
	qer_trans 0.5

	surfaceparm water
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nodlight

	{
		map textures/treasureisland_v2_misc/water0.tga
		tcMod scroll 0.03 0.03
		tcmod scale 1.2 0.7
		blendfunc blend
	}

	dp_water 0.1 0.8 3 3 1 1 1 1 1 1 0.125
}

textures/treasureisland_v2_shaders/sand-reef
{
	qer_editorimage textures/treasureisland_v2_shaders/sand-reef.jpg

	q3map_globalTexture
	q3map_nonplanar
	q3map_shadeangle 110

	q3map_alphagen dotProduct2scale ( 0 0 1.01 0.94 1 )
	{
		map textures/desertfactory_stone/sand01.tga
	}
	{
		map textures/treasureisland_v2_stone/reef.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/treasureisland_v2_shaders/sand
{
	qer_editorimage textures/treasureisland_v2_shaders/sand.jpg

	q3map_globalTexture
	q3map_nonplanar
	q3map_shadeangle 110

	{
		map textures/desertfactory_stone/sand01.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/treasureisland_v2_shaders/cement
{
	qer_editorimage textures/treasureisland_v2_shaders/cement.jpg

	q3map_globalTexture
	q3map_nonplanar
	q3map_shadeangle 90

	{
		map textures/treasureisland_v2_stone/cement.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/treasureisland_v2_shaders/glass
{
	qer_editorimage textures/treasureisland_v2_shaders/glass.jpg

	surfaceparm trans

	{
		map textures/treasureisland_v2_misc/glass.tga
		blendFunc blend
	}
}

textures/treasureisland_v2_shaders/lantern_light_yellow
{
	qer_editorimage textures/treasureisland_v2_shaders/lantern_light_yellow.jpg

	q3map_surfacelight 50000

	{
		map textures/treasureisland_v2_misc/lantern_light_yellow.tga
	}
}
